<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchEvaluation: SemanticSearchEvaluation.EmptySearch Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchEvaluation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_evaluation.html">SemanticSearchEvaluation</a></li><li class="navelem"><a class="el" href="class_semantic_search_evaluation_1_1_empty_search.html">EmptySearch</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_semantic_search_evaluation_1_1_empty_search-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchEvaluation.EmptySearch Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Empty search approach.  
 <a href="class_semantic_search_evaluation_1_1_empty_search.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for SemanticSearchEvaluation.EmptySearch:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_semantic_search_evaluation_1_1_empty_search.png" usemap="#SemanticSearchEvaluation.EmptySearch_map" alt=""/>
  <map id="SemanticSearchEvaluation.EmptySearch_map" name="SemanticSearchEvaluation.EmptySearch_map">
<area href="class_semantic_search_evaluation_1_1_search_approach.html" title="Provides all necessary functions for the evaluation of a search approach." alt="SemanticSearchEvaluation.SearchApproach" shape="rect" coords="0,0,264,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3a9eef79a5ecf0e21d2a99cefa9d5ff3"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_empty_search.html#a3a9eef79a5ecf0e21d2a99cefa9d5ff3">GetArguments</a> (int counter)</td></tr>
<tr class="memdesc:a3a9eef79a5ecf0e21d2a99cefa9d5ff3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The arguments for the process containing the specified search intention.  <a href="class_semantic_search_evaluation_1_1_empty_search.html#a3a9eef79a5ecf0e21d2a99cefa9d5ff3">More...</a><br /></td></tr>
<tr class="separator:a3a9eef79a5ecf0e21d2a99cefa9d5ff3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16c2658a9e171535ae824155f32c1d7e"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_empty_search.html#a16c2658a9e171535ae824155f32c1d7e">GetName</a> ()</td></tr>
<tr class="memdesc:a16c2658a9e171535ae824155f32c1d7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The specified name for the search approach.  <a href="class_semantic_search_evaluation_1_1_empty_search.html#a16c2658a9e171535ae824155f32c1d7e">More...</a><br /></td></tr>
<tr class="separator:a16c2658a9e171535ae824155f32c1d7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefdea5414996cf25ee427ccc1dce6741"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_empty_search.html#aefdea5414996cf25ee427ccc1dce6741">GetPath</a> ()</td></tr>
<tr class="memdesc:aefdea5414996cf25ee427ccc1dce6741"><td class="mdescLeft">&#160;</td><td class="mdescRight">The path to the executable of the search approach.  <a href="class_semantic_search_evaluation_1_1_empty_search.html#aefdea5414996cf25ee427ccc1dce6741">More...</a><br /></td></tr>
<tr class="separator:aefdea5414996cf25ee427ccc1dce6741"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_semantic_search_evaluation_1_1_search_approach')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html">SemanticSearchEvaluation.SearchApproach</a></td></tr>
<tr class="memitem:a366eb296136b1d7f1534f6e5f5caf55c inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="memItemLeft" align="right" valign="top">Process&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a366eb296136b1d7f1534f6e5f5caf55c">GetProcess</a> (string path, string arguments)</td></tr>
<tr class="memdesc:a366eb296136b1d7f1534f6e5f5caf55c inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="mdescLeft">&#160;</td><td class="mdescRight">The process which needs to be executed to run the specified search approach.  <a href="class_semantic_search_evaluation_1_1_search_approach.html#a366eb296136b1d7f1534f6e5f5caf55c">More...</a><br /></td></tr>
<tr class="separator:a366eb296136b1d7f1534f6e5f5caf55c inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Empty search approach. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a3a9eef79a5ecf0e21d2a99cefa9d5ff3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a9eef79a5ecf0e21d2a99cefa9d5ff3">&#9670;&nbsp;</a></span>GetArguments()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string SemanticSearchEvaluation.EmptySearch.GetArguments </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>counter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The arguments for the process containing the specified search intention. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">counter</td><td>Number of the search intention.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

<p>Implements <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a4b560b4e0d66a0213ed0e5a0aada6d13">SemanticSearchEvaluation.SearchApproach</a>.</p>

</div>
</div>
<a id="a16c2658a9e171535ae824155f32c1d7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16c2658a9e171535ae824155f32c1d7e">&#9670;&nbsp;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string SemanticSearchEvaluation.EmptySearch.GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The specified name for the search approach. </p>
<dl class="section return"><dt>Returns</dt><dd>Name of the search approach.</dd></dl>

<p>Implements <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a309037aeaa9d9bf1dc94ee039e0f7f04">SemanticSearchEvaluation.SearchApproach</a>.</p>

</div>
</div>
<a id="aefdea5414996cf25ee427ccc1dce6741"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefdea5414996cf25ee427ccc1dce6741">&#9670;&nbsp;</a></span>GetPath()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string SemanticSearchEvaluation.EmptySearch.GetPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The path to the executable of the search approach. </p>
<dl class="section return"><dt>Returns</dt><dd>String with the relative path.</dd></dl>

<p>Implements <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#adcd32a056e0f894aa985a76f0d83c034">SemanticSearchEvaluation.SearchApproach</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_empty_search_8cs.html">EmptySearch.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
